Bug 242548

Summary: [REVIVE] science/orthanc-postgresql: Plugins to use PostgreSQL for indexing and storage in Orthanc
Product: Ports & Packages Reporter: Frank Scholl <maintainer.freebsd>
Component: Individual Port(s)Assignee: Guangyuan Yang <ygy>
Status: Closed FIXED    
Severity: Affects Only Me CC: ygy
Priority: --- Keywords: patch-ready
Version: Latest   
Hardware: Any   
OS: Any   
Bug Depends on: 242546    
Bug Blocks:    
Attachments:
Description Flags
.shar of the orthanc-postgresql port
none
orthanc-postgresql-3.2_3
none
orthanc-postgresql-3.2_5
none
Diff / the latest version of science/orthanc-postgresql (orthanc-postgresql-3.2_5, diff based on r545144)
maintainer.freebsd: maintainer-approval+
orthanc-postgresql 4.0
maintainer.freebsd: maintainer-approval+
orthanc-postgresql 4.0
maintainer.freebsd: maintainer-approval+
orthanc-postgresql-4.0.diff
maintainer.freebsd: maintainer-approval+
orthanc-postgresql-4.0.diff
maintainer.freebsd: maintainer-approval+
orthanc-postgresql-4.0.diff maintainer.freebsd: maintainer-approval+

Description Frank Scholl 2019-12-10 15:36:02 UTC
Created attachment 209833 [details]
.shar of the orthanc-postgresql port

Port expired on 2018-06-07, fixed and cleaned up the build, updated descriptions, willing to maintain the port from now on.

https://www.freshports.org/science/orthanc-postgresql
Comment 1 Frank Scholl 2019-12-14 11:05:19 UTC
This port depends on science/orthanc, which got submitted in https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=242546.
Comment 2 Frank Scholl 2020-05-25 06:10:56 UTC
Created attachment 214832 [details]
orthanc-postgresql-3.2_3

Update to build with orthanc-1.6.1, made portlint happy, builds in poudriere
Comment 3 Frank Scholl 2020-06-24 15:38:26 UTC
Created attachment 215910 [details]
orthanc-postgresql-3.2_5

Update to build with orthanc-1.7.1
Comment 4 Frank Scholl 2020-06-26 07:58:16 UTC
- this is a resurrection.
- also update MOVED and science/Makefile.
Comment 5 Frank Scholl 2020-08-06 09:00:04 UTC
This version is tested to work with orthanc-1.7.2 (https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=242546).
Comment 6 Frank Scholl 2020-08-17 09:24:01 UTC
Created attachment 217275 [details]
Diff / the latest version of science/orthanc-postgresql (orthanc-postgresql-3.2_5, diff based on r545144)

This diff is based on today's head (r545144), including:

- removed orthanc-dicomweb from MOVED
- added orthanc-dicomweb to science/Makefile
Comment 7 Frank Scholl 2020-08-17 09:25:35 UTC
(In reply to Frank Scholl from comment #6)
ofc orthanc-postgresql should have been referenced here.

- removed orthanc-postgresql from MOVED
- added orthanc-postgresql to science/Makefile
Comment 8 Frank Scholl 2021-05-18 12:50:35 UTC
Created attachment 225064 [details]
orthanc-postgresql 4.0

Updated port to work with current science/orthanc.
Comment 9 Frank Scholl 2021-05-28 17:15:05 UTC
Created attachment 225339 [details]
orthanc-postgresql 4.0

This port got an update and now uses CMAKE_ON / CMAKE_OFF instead of using CMAKE_ARGS.

It requires to be built with at least PostgreSQL 11 and works with 12 and 13 as well. This is reflected in the USES flags.

Builds with PostgreSQL 10 do not succeed and throw errors when compiling PostgreSQL 10 with boost/date_time.hpp ("likely" macro).

Further information:
- portlint is fine.
- Builds in poudriere (testport), tested for 11.4, 12.2 and 13.0
Comment 10 Frank Scholl 2021-06-06 11:42:28 UTC
Created attachment 225592 [details]
orthanc-postgresql-4.0.diff

- DISTVERSION is used instead of PORTVERSION
Comment 11 Frank Scholl 2021-06-08 19:05:33 UTC
Created attachment 225647 [details]
orthanc-postgresql-4.0.diff

Just updated the .diff to also contain changes in `MOVED` and `science/Makefile`.
Comment 12 Frank Scholl 2021-06-10 15:36:05 UTC
Created attachment 225707 [details]
orthanc-postgresql-4.0.diff

- updated `COMMENT` to align them with the those from other Orthanc plugins
- removed `USE_LDCONFIG` (no shared lib installed)
- added `PLIST_SUB` to use %%PORTVERSION%% in `pkg-plist`
- portlint & portfmt are happy
- poudriere testport successful  on 11.4, 12.2, 13.0

This port contains two plugins, one for indexing and one for storage of medical data. This is why the `COMMENT` says "plugins", pkg-descr got a clean-up to reflect this as well.
Comment 13 commit-hook freebsd_committer 2021-08-07 21:41:36 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=b660b9f923286590d1bfb59406f3c263f8f9620d

commit b660b9f923286590d1bfb59406f3c263f8f9620d
Author:     Frank Scholl <maintainer.freebsd@xpoundit.com>
AuthorDate: 2021-08-07 21:40:42 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-08-07 21:40:42 +0000

    science/orthanc-postgresql: Revive port

    Orthanc plugin to use PostgreSQL for indexing or storage.

    PR:             242548

 MOVED                                              |  1 -
 science/Makefile                                   |  1 +
 science/orthanc-postgresql/Makefile (new)          | 49 ++++++++++++++++++++++
 science/orthanc-postgresql/distinfo (new)          |  7 ++++
 .../files/patch-PostgreSQL_CMakeLists.txt (new)    | 12 ++++++
 science/orthanc-postgresql/pkg-descr (new)         |  4 ++
 science/orthanc-postgresql/pkg-plist (new)         |  4 ++
 7 files changed, 77 insertions(+), 1 deletion(-)
Comment 14 Guangyuan Yang freebsd_committer 2021-08-07 21:43:57 UTC
Committed with modifications. Thank you!